SQ-VERIFY(1)

NAME
sq-verify - Verifies signed messages or detached signatures

When verifying signed messages, the message is written to stdout or the file given to --output.

When a detached message is verified, no output is produced. Detached signatures are often used to sign software packages.

Verification is only successful if there is no bad signature, and the number of successfully verified signatures reaches the threshold configured with the "--signatures" parameter. If the verification fails, the program terminates with an exit status indicating failure. In addition to that, the last 25 MiB of the message are withheld, i.e. if the message is smaller than 25 MiB, no output is produced, and if it is larger, then the output will be truncated.

The converse operation is "sq sign".

SYNOPSIS
sq verify [FLAGS] [OPTIONS] [--] [FILE]

FLAGS

-h, --help
    Prints help information

OPTIONS

-o, --output FILE
    Writes to FILE or stdout if omitted

--detached SIG
    Verifies a detached signature

-n, --signatures N
    Sets the threshold of valid signatures to N. If this threshold is not reached, the message will not be considered verified. [default: 1]

--signer-cert CERT
    Verifies signatures with CERT

ARGS

FILE
    Reads from FILE or stdin if omitted

EXAMPLES

# Verify a signed message
    $ sq verify --signer-cert juliet.pgp signed-message.pgp

# Verify a detached message
    $ sq verify --signer-cert juliet.pgp --detached message.sig message.txt

SEE ALSO
If you are looking for a standalone program to verify detached signatures, consider using sequoia-sqv.

For the full documentation see <https://docs.sequoia-pgp.org/sq/>.

sq(1), sq-armor(1), sq-autocrypt(1), sq-certify(1), sq-dearmor(1), sq-decrypt(1), sq-encrypt(1), sq-inspect(1), sq-key(1), sq-keyring(1), sq-packet(1), sq-sign(1), sq-verify(1)

AUTHORS

    Azul <azul@sequoia-pgp.org>
    Igor Matuszewski <igor@sequoia-pgp.org>
    Justus Winter <justus@sequoia-pgp.org>
    Kai Michaelis <kai@sequoia-pgp.org>
    Neal H. Walfield <neal@sequoia-pgp.org>
    Nora Widdecke <nora@sequoia-pgp.org>
    Wiktor Kwapisiewicz <wiktor@sequoia-pgp.org>